Subject: need help for cornus kousa

From: [email-masked] (LEX LOCI 1)
Date: 9 Mar 1995 09:13:46 -0500

can anyone give me some help for my cornus kousa? I live in the city and
its my only tree. Last year,unlike  previous years,it suffered form the
following symptons throughout the year: 1)shedding bark 2) smaller than
usual leaves 3) browning on the tips and upper edges of leaves 3)lots of
watersprouts and 4)smaller than usuall flowers which seemed to last ony a
few days.   Is there anything I can do now to help it for this year?
FERTILIZER,PERHAPS? i LIVE IN PHILADELPHIA.THANKS